//BUSQUEDA DE TABREGDIA
var contenedorTABREGDIA = null;
var panelTABREGDIA = null, panelTABCATRUT = null;
var GridStoreTABREGDIA = null, gridEjercicios = null;
var currentStrId = "";

function TABREGDIA_Constructor(intClienteSeleccionado){
	
	strEjercicioForMsg = "";
	//var cuerpo = Ext.getCmp('objdivRegistroDiario');
	//cuerpo.setTitle("Expediente de " + strClienteSeleccionado);
		
	idTab = 'TABREGDIA';

	var txtBoton = "";

	var sHeight = '80%';
	var sHeightContenedor = 740;
		
	panelTABREGDIA = new Ext.Panel({
						width:'100%',
						height: 'auto',
						autoScroll:false,
						disabled: false
						
	});
		
	contenedorTABREGDIA = new Ext.FormPanel({
		labelAlign: 'top',
        labelWidth: 75,
        frame:true,
		bodyStyle:'padding:5px 5px 0',
        width: '100%',
		height:  'auto',
		autoScroll:true,
        items: [ panelTABREGDIA ]
    });
	
	$("#divRegistroDiario").empty();
	
	cargarPanelTABREGDIA();
	
}
	  
function cargarPanelTABREGDIA(){
	
	$.post("vistas/tabRegistroDiario.php", function(data){
		
		$("#divRegistroDiario").html(data);
		
		
		if(objClienteSel!=null){

			setAutocomplete( "clientes", $( "#divRegistroDiarioPaciente" ).find("#txtPaciente") );
			
			//setAutocomplete( "estudios", $( "#tabDiagnostico" ).find("#txtEstudios") );

			$("#divRegistroDiarioDetalle").find('.clsTextA').prop("disabled", true);
					
		}
		
	});
}

//var strIdConsulta = "";
function registrarConsulta(){
	console.log("\n\n registrarConsulta");
	
	//var intPaciente = $("#divDetalleInicialPaciente").find("#txtId").val();
	console.log("objClienteSel", objClienteSel);

	//if(intPaciente!==""){ // YA SE SELECCIONO PACIENTE 
	if(objClienteSel!==null){ // YA SE SELECCIONO PACIENTE 
	    
	    abConsulta(1, 2);
    		
	}else{
	    
	    guardarPaciente("divRegistroDiario");
	    
	}
	
}

/*

strIdConsulta = "con"+ objUsuario.id + moment();
console.log(" strIdConsulta: "+ strIdConsulta);

var strUrl = "data/dataExpediente.php?rnd="+ Math.random();

var dataObject = { method: 'abConsulta'
		 , intCaso: 1
		 , intCliente: (objClienteSel.id)
		 , strIdConsulta: (strIdConsulta)
		 , intUsuario: (objUsuario.id)
	  };

$.post(strUrl, dataObject, function(dataNew){
	//console.log("dataNew: "+ dataNew);

	if(dataNew!=""){
		var data = $.parseJSON(dataNew);
		var exito = data.exito;
	 	
		console.log("exito: "+ exito);
        if(exito==="si"){
		 	$("#divRegistroDiario").find("#btnIniciarConsulta").css( {"display":"none"} );
			$("#divRegistroDiario").find("#btnTerminarConsulta").css( {"display":"inline-block"} );

			$("#divRegistroDiario").find("#divExpedienteDetalle").find('.clsTextA').prop("disabled", false);
        }else{
            alert("No se podido iniciar la consulta");
        }
	}
});
    
*/

function limpiarRegistroDiario(){
    $("#divExpedienteDetalle").find(".custom-combobox2").val("");
    $("#divExpedienteDetalle").find(".clsTextA").val("");
}
